FS_MEMDUMP(1)

NAME
fs_memdump - Dump AFS cache state and memory allocations [Windows only]

SYNOPSIS
fs memdump [B<-begin>|B<-end>]

DESCRIPTION
This command dumps the state of AFS cache manager objects and statistics. If a checked build of the C run-time library is in use, memory allocations will also be included.

CAUTIONS
This command is only available on Windows.

OPTIONS
(One of either -begin or -end must be specified.)

-begin
    Set a memory checkpoint.

-end
    Create a dump-file containing information about memory allocation that has taken place since the -begin command was issued.

OUTPUT
If successful, the output of this command (for -begin or -end) will be:

   AFS memdump created

If unsuccessful:

   AFS memdump failed

EXAMPLES
The following command starts a memory allocation dump:

   % fs memdump -begin

The following command ends it:

   % fs memdump -end

PRIVILEGE REQUIRED
The issuer must be have AFS Client Administrator access to issue this command.

COPYRIGHT
This document was written by Mike Robinson, and is released under the IBM Public License Version 1.0.